function [d_] = Demapper_dl(B_, BMAP)

d_ = zeros(size(B_,1)*size(B_,2),1);
index = 0;

for i2 = 1:size(B_,2),
    for i = 1:size(B_,1),
        if(BMAP(i,i2) == 6)
            index = index + 1;
            d_(index) = B_(i,i2);
        end
    end
end
d_ = d_(1:index);